#include <openb3d.mod/openb3dstd.mod/.bmx/openb3dstd.bmx.release.win32.x64.h>
BBINT openb3d_openb3dstd_AddMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh1,struct openb3d_openb3dcore_TMesh_obj* bbt_mesh2){
	(bbt_mesh1)->clas->m_AddMesh_TTMesh((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh1,(struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh2);
	return 0;
}
BBINT openb3d_openb3dstd_AddTriangle(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_v0,BBINT bbt_v1,BBINT bbt_v2){
	return (bbt_surf)->clas->m_AddTriangle_iii((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_v0,bbt_v1,bbt_v2);
}
BBINT openb3d_openb3dstd_AddVertex(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w){
	return (bbt_surf)->clas->m_AddVertex_ffffff((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_x,bbt_y,bbt_z,bbt_u,bbt_v,bbt_w);
}
BBINT openb3d_openb3dstd_AmbientLight(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	openb3d_openb3dcore_TGlobal3D_AmbientLight_i_fff(bbt_r,bbt_g,bbt_b);
	return 0;
}
BBINT openb3d_openb3dstd_Animate(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_Mode,BBFLOAT bbt_speed,BBINT bbt_seq,BBINT bbt_trans){
	(bbt_ent)->clas->m_Animate_ifii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_Mode,bbt_speed,bbt_seq,bbt_trans);
	return 0;
}
BBINT openb3d_openb3dstd_Animating(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return Animating_(openb3d_openb3dcore_TEntity_GetInstance_pb_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent));
}
BBINT openb3d_openb3dstd_AnimLength(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_AnimLength((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBINT openb3d_openb3dstd_AnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return AnimSeq_(openb3d_openb3dcore_TEntity_GetInstance_pb_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent));
}
BBFLOAT openb3d_openb3dstd_AnimTime(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_AnimTime((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBINT openb3d_openb3dstd_AntiAlias(BBINT bbt_samples){
	openb3d_openb3dcore_TGlobal3D_AntiAlias_i_i(bbt_samples);
	return 0;
}
BBINT openb3d_openb3dstd_BrushAlpha(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBFLOAT bbt_a){
	(bbt_brush)->clas->m_BrushAlpha_f((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,bbt_a);
	return 0;
}
BBINT openb3d_openb3dstd_BrushBlend(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBINT bbt_blend){
	(bbt_brush)->clas->m_BrushBlend_i((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,bbt_blend);
	return 0;
}
BBINT openb3d_openb3dstd_BrushColor(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	(bbt_brush)->clas->m_BrushColor_fff((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,bbt_r,bbt_g,bbt_b);
	return 0;
}
BBINT openb3d_openb3dstd_BrushFX(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBINT bbt_fx){
	(bbt_brush)->clas->m_BrushFX_i((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,bbt_fx);
	return 0;
}
BBINT openb3d_openb3dstd_BrushShininess(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBFLOAT bbt_s){
	(bbt_brush)->clas->m_BrushShininess_f((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,bbt_s);
	return 0;
}
BBINT openb3d_openb3dstd_BrushTexture(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index){
	(bbt_brush)->clas->m_BrushTexture_TTTextureii((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,(struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_frame,bbt_index);
	return 0;
}
BBINT openb3d_openb3dstd_CameraClsColor(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	(bbt_cam)->clas->m_CameraClsColor_fff((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_r,bbt_g,bbt_b);
	return 0;
}
BBINT openb3d_openb3dstd_CameraClsMode(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_cls_depth,BBINT bbt_cls_zbuffer){
	(bbt_cam)->clas->m_CameraClsMode_ii((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_cls_depth,bbt_cls_zbuffer);
	return 0;
}
BBINT openb3d_openb3dstd_CameraFogColor(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	(bbt_cam)->clas->m_CameraFogColor_fff((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_r,bbt_g,bbt_b);
	return 0;
}
BBINT openb3d_openb3dstd_CameraFogMode(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_Mode){
	(bbt_cam)->clas->m_CameraFogMode_i((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_Mode);
	return 0;
}
BBINT openb3d_openb3dstd_CameraFogRange(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar){
	(bbt_cam)->clas->m_CameraFogRange_ff((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_nnear,bbt_nfar);
	return 0;
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_CameraPick(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_cam)->clas->m_CameraPick_ff((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_x,bbt_y);
}
BBINT openb3d_openb3dstd_CameraProject(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	(bbt_cam)->clas->m_CameraProject_fff((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_x,bbt_y,bbt_z);
	return 0;
}
BBINT openb3d_openb3dstd_CameraProjMode(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_Mode){
	(bbt_cam)->clas->m_CameraProjMode_i((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_Mode);
	return 0;
}
BBINT openb3d_openb3dstd_CameraRange(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar){
	(bbt_cam)->clas->m_CameraRange_ff((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_nnear,bbt_nfar);
	return 0;
}
BBINT openb3d_openb3dstd_CameraViewport(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_x,BBINT bbt_y,BBINT bbt_width,BBINT bbt_height){
	(bbt_cam)->clas->m_CameraViewport_iiii((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_x,bbt_y,bbt_width,bbt_height);
	return 0;
}
BBINT openb3d_openb3dstd_CameraZoom(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_zoom){
	(bbt_cam)->clas->m_CameraZoom_f((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,bbt_zoom);
	return 0;
}
BBINT openb3d_openb3dstd_ClearCollisions(){
	openb3d_openb3dcore_TGlobal3D_ClearCollisions_i();
	return 0;
}
BBINT openb3d_openb3dstd_ClearSurface(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_clear_verts,BBINT bbt_clear_tris){
	(bbt_surf)->clas->m_ClearSurface_ii((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_clear_verts,bbt_clear_tris);
	return 0;
}
BBINT openb3d_openb3dstd_ClearTextureFilters(){
	openb3d_openb3dcore_TTexture_ClearTextureFilters_i();
	return 0;
}
BBINT openb3d_openb3dstd_ClearWorld(BBINT bbt_entities,BBINT bbt_brushes,BBINT bbt_textures){
	openb3d_openb3dcore_TGlobal3D_ClearWorld_i_iii(bbt_entities,bbt_brushes,bbt_textures);
	return 0;
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_CollisionEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_CollisionEntity_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionNX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionNX_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionNY(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionNY_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionNZ(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionNZ_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBINT openb3d_openb3dstd_Collisions(BBINT bbt_src_no,BBINT bbt_dest_no,BBINT bbt_method_no,BBINT bbt_response_no){
	openb3d_openb3dcore_TGlobal3D_Collisions_i_iiii(bbt_src_no,bbt_dest_no,bbt_method_no,bbt_response_no);
	return 0;
}
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_CollisionSurface(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (struct openb3d_openb3dcore_TSurface_obj*)(bbt_ent)->clas->m_CollisionSurface_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionTime(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionTime_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBINT openb3d_openb3dstd_CollisionTriangle(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionTriangle_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionX_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionY(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionY_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
BBFLOAT openb3d_openb3dstd_CollisionZ(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index){
	return (bbt_ent)->clas->m_CollisionZ_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_index);
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_CopyEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_CopyEntity_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CopyMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)(bbt_mesh)->clas->m_CopyMesh_TTEntity((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
BBINT openb3d_openb3dstd_CountChildren(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_CountChildren((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBINT openb3d_openb3dstd_CountCollisions(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_CountCollisions((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBINT openb3d_openb3dstd_CountSurfaces(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh){
	return (bbt_mesh)->clas->m_CountSurfaces((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh);
}
BBINT openb3d_openb3dstd_CountTriangles(struct openb3d_openb3dcore_TSurface_obj* bbt_surf){
	return (bbt_surf)->clas->m_CountTriangles((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf);
}
BBINT openb3d_openb3dstd_CountVertices(struct openb3d_openb3dcore_TSurface_obj* bbt_surf){
	return (bbt_surf)->clas->m_CountVertices((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf);
}
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_CreateBrush(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	return (struct openb3d_openb3dcore_TBrush_obj*)openb3d_openb3dcore_TBrush_CreateBrush_TTBrush_fff(bbt_r,bbt_g,bbt_b);
}
struct openb3d_openb3dcore_TCamera_obj* openb3d_openb3dstd_CreateCamera(struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TCamera_obj*)openb3d_openb3dcore_TCamera_CreateCamera_TTCamera_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateCone(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)openb3d_openb3dcore_TMesh_CreateCone_TTMesh_iiTTEntity(bbt_segments,bbt_solid,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateCylinder(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)openb3d_openb3dcore_TMesh_CreateCylinder_TTMesh_iiTTEntity(bbt_segments,bbt_solid,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateCube(struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)openb3d_openb3dcore_TMesh_CreateCube_TTMesh_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateMesh(struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)openb3d_openb3dcore_TMesh_CreateMesh_TTMesh_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TLight_obj* openb3d_openb3dstd_CreateLight(BBINT bbt_light_type,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TLight_obj*)openb3d_openb3dcore_TLight_CreateLight_TTLight_iTTEntity(bbt_light_type,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TPivot_obj* openb3d_openb3dstd_CreatePivot(struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TPivot_obj*)openb3d_openb3dcore_TPivot_CreatePivot_TTPivot_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateSphere(BBINT bbt_segments,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)openb3d_openb3dcore_TMesh_CreateSphere_TTMesh_iTTEntity(bbt_segments,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TSprite_obj* openb3d_openb3dstd_CreateSprite(struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TSprite_obj*)openb3d_openb3dcore_TSprite_CreateSprite_TTSprite_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_CreateSurface(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TBrush_obj* bbt_brush){
	return (struct openb3d_openb3dcore_TSurface_obj*)openb3d_openb3dcore_TSurface_CreateSurface_TTSurface_TTMeshTTBrush((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,(struct openb3d_openb3dcore_TBrush_obj*)bbt_brush);
}
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_CreateTexture(BBINT bbt_width,BBINT bbt_height,BBINT bbt_flags,BBINT bbt_frames){
	return (struct openb3d_openb3dcore_TTexture_obj*)openb3d_openb3dcore_TTexture_CreateTexture_TTTexture_iiii(bbt_width,bbt_height,bbt_flags,bbt_frames);
}
BBFLOAT openb3d_openb3dstd_DeltaPitch(struct openb3d_openb3dcore_TEntity_obj* bbt_ent1,struct openb3d_openb3dcore_TEntity_obj* bbt_ent2){
	return (bbt_ent1)->clas->m_DeltaPitch_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent1,(struct openb3d_openb3dcore_TEntity_obj*)bbt_ent2);
}
BBFLOAT openb3d_openb3dstd_DeltaYaw(struct openb3d_openb3dcore_TEntity_obj* bbt_ent1,struct openb3d_openb3dcore_TEntity_obj* bbt_ent2){
	return (bbt_ent1)->clas->m_DeltaYaw_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent1,(struct openb3d_openb3dcore_TEntity_obj*)bbt_ent2);
}
BBINT openb3d_openb3dstd_EntityAlpha(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_alpha){
	(bbt_ent)->clas->m_EntityAlpha_f((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_alpha);
	return 0;
}
BBINT openb3d_openb3dstd_EntityBlend(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_blend){
	(bbt_ent)->clas->m_EntityBlend_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_blend);
	return 0;
}
BBINT openb3d_openb3dstd_EntityBox(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_w,BBFLOAT bbt_h,BBFLOAT bbt_d){
	(bbt_ent)->clas->m_EntityBox_ffffff((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z,bbt_w,bbt_h,bbt_d);
	return 0;
}
BBSTRING openb3d_openb3dstd_EntityClass(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_EntityClass((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_EntityCollided(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_type_no){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_EntityCollided_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_type_no);
}
BBINT openb3d_openb3dstd_EntityColor(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue,BBINT bbt_recursive){
	(bbt_ent)->clas->m_EntityColor_fffi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_red,bbt_green,bbt_blue,bbt_recursive);
	return 0;
}
BBFLOAT openb3d_openb3dstd_EntityDistance(struct openb3d_openb3dcore_TEntity_obj* bbt_ent1,struct openb3d_openb3dcore_TEntity_obj* bbt_ent2){
	return (bbt_ent1)->clas->m_EntityDistance_TTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent1,(struct openb3d_openb3dcore_TEntity_obj*)bbt_ent2);
}
BBINT openb3d_openb3dstd_EntityFX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_fx){
	(bbt_ent)->clas->m_EntityFX_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_fx);
	return 0;
}
BBINT openb3d_openb3dstd_EntityInView(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TCamera_obj* bbt_cam){
	return (bbt_cam)->clas->m_EntityInView_TTEntity((struct openb3d_openb3dcore_TCamera_obj*)bbt_cam,(struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBSTRING openb3d_openb3dstd_EntityName(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_EntityName((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBINT openb3d_openb3dstd_EntityOrder(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_order){
	(bbt_ent)->clas->m_EntityOrder_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_order);
	return 0;
}
BBINT openb3d_openb3dstd_EntityParent(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_parent_ent,BBINT bbt_glob){
	(bbt_ent)->clas->m_EntityParent_TTEntityi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent_ent,bbt_glob);
	return 0;
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_EntityPick(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_Range){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_EntityPick_f((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_Range);
}
BBINT openb3d_openb3dstd_EntityPickMode(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_pick_mode,BBINT bbt_obscurer){
	(bbt_ent)->clas->m_EntityPickMode_ii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_pick_mode,bbt_obscurer);
	return 0;
}
BBFLOAT openb3d_openb3dstd_EntityPitch(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return (bbt_ent)->clas->m_EntityPitch_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_glob);
}
BBINT openb3d_openb3dstd_EntityRadius(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_radius_x,BBFLOAT bbt_radius_y){
	(bbt_ent)->clas->m_EntityRadius_ff((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_radius_x,bbt_radius_y);
	return 0;
}
BBFLOAT openb3d_openb3dstd_EntityRoll(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return (bbt_ent)->clas->m_EntityRoll_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_glob);
}
BBINT openb3d_openb3dstd_EntityShininess(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_shine){
	(bbt_ent)->clas->m_EntityShininess_f((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_shine);
	return 0;
}
BBINT openb3d_openb3dstd_EntityTexture(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index){
	(bbt_ent)->clas->m_EntityTexture_TTTextureii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,(struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_frame,bbt_index);
	return 0;
}
BBINT openb3d_openb3dstd_EntityType(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_type_no,BBINT bbt_recursive){
	(bbt_ent)->clas->m_EntityType_ii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_type_no,bbt_recursive);
	return 0;
}
BBINT openb3d_openb3dstd_EntityVisible(struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent){
	return openb3d_openb3dcore_TPick_EntityVisible_i_TTEntityTTEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_src_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_dest_ent);
}
BBFLOAT openb3d_openb3dstd_EntityX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return (bbt_ent)->clas->m_EntityX_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_glob);
}
BBFLOAT openb3d_openb3dstd_EntityY(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return (bbt_ent)->clas->m_EntityY_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_glob);
}
BBFLOAT openb3d_openb3dstd_EntityYaw(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return (bbt_ent)->clas->m_EntityYaw_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_glob);
}
BBFLOAT openb3d_openb3dstd_EntityZ(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return (bbt_ent)->clas->m_EntityZ_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_glob);
}
BBINT openb3d_openb3dstd_ExtractAnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_first_frame,BBINT bbt_last_frame,BBINT bbt_seq){
	return (bbt_ent)->clas->m_ExtractAnimSeq_iii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_first_frame,bbt_last_frame,bbt_seq);
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_FindChild(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBSTRING bbt_child_name){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_FindChild_S((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_child_name);
}
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_FindSurface(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TBrush_obj* bbt_brush){
	return (struct openb3d_openb3dcore_TSurface_obj*)(bbt_mesh)->clas->m_FindSurface_TTBrush((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,(struct openb3d_openb3dcore_TBrush_obj*)bbt_brush);
}
BBINT openb3d_openb3dstd_FitMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_width,BBFLOAT bbt_height,BBFLOAT bbt_depth,BBINT bbt_uniform){
	(bbt_mesh)->clas->m_FitMesh_ffffffi((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,bbt_x,bbt_y,bbt_z,bbt_width,bbt_height,bbt_depth,bbt_uniform);
	return 0;
}
BBINT openb3d_openb3dstd_FlipMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh){
	(bbt_mesh)->clas->m_FlipMesh((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh);
	return 0;
}
BBINT openb3d_openb3dstd_FreeBrush(struct openb3d_openb3dcore_TBrush_obj* bbt_brush){
	(bbt_brush)->clas->m_FreeBrush((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush);
	return 0;
}
BBINT openb3d_openb3dstd_FreeEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	(bbt_ent)->clas->m_FreeEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
	return 0;
}
BBINT openb3d_openb3dstd_FreeTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex){
	(bbt_tex)->clas->m_FreeTexture((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex);
	return 0;
}
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_GetBrushTexture(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBINT bbt_index){
	return (struct openb3d_openb3dcore_TTexture_obj*)(bbt_brush)->clas->m_GetBrushTexture_i((struct openb3d_openb3dcore_TBrush_obj*)bbt_brush,bbt_index);
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_GetChild(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_child_no){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_GetChild_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_child_no);
}
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_GetEntityBrush(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (struct openb3d_openb3dcore_TBrush_obj*)(bbt_ent)->clas->m_GetEntityBrush((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBINT openb3d_openb3dstd_GetEntityType(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (bbt_ent)->clas->m_GetEntityType((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
BBFLOAT openb3d_openb3dstd_GetMatElement(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_row,BBINT bbt_col){
	(bbt_ent)->clas->m_GetMatElement_ii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_row,bbt_col);
	return .00000000f;
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_GetParent(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	return (struct openb3d_openb3dcore_TEntity_obj*)(bbt_ent)->clas->m_GetParent((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
}
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_GetSurface(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBINT bbt_surf_no){
	return (struct openb3d_openb3dcore_TSurface_obj*)(bbt_mesh)->clas->m_GetSurface_i((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,bbt_surf_no);
}
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_GetSurfaceBrush(struct openb3d_openb3dcore_TSurface_obj* bbt_surf){
	return (struct openb3d_openb3dcore_TBrush_obj*)(bbt_surf)->clas->m_GetSurfaceBrush((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf);
}
BBINT openb3d_openb3dstd_HandleSprite(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBFLOAT bbt_h_x,BBFLOAT bbt_h_y){
	(bbt_sprite)->clas->m_HandleSprite_ff((struct openb3d_openb3dcore_TSprite_obj*)bbt_sprite,bbt_h_x,bbt_h_y);
	return 0;
}
BBINT openb3d_openb3dstd_HideEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	(bbt_ent)->clas->m_HideEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
	return 0;
}
BBINT openb3d_openb3dstd_LightColor(struct openb3d_openb3dcore_TLight_obj* bbt_light,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue){
	(bbt_light)->clas->m_LightColor_fff((struct openb3d_openb3dcore_TLight_obj*)bbt_light,bbt_red,bbt_green,bbt_blue);
	return 0;
}
BBINT openb3d_openb3dstd_LightConeAngles(struct openb3d_openb3dcore_TLight_obj* bbt_light,BBFLOAT bbt_inner_ang,BBFLOAT bbt_outer_ang){
	(bbt_light)->clas->m_LightConeAngles_ff((struct openb3d_openb3dcore_TLight_obj*)bbt_light,bbt_inner_ang,bbt_outer_ang);
	return 0;
}
BBINT openb3d_openb3dstd_LightRange(struct openb3d_openb3dcore_TLight_obj* bbt_light,BBFLOAT bbt_Range){
	(bbt_light)->clas->m_LightRange_f((struct openb3d_openb3dcore_TLight_obj*)bbt_light,bbt_Range);
	return 0;
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_LinePick(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_dx,BBFLOAT bbt_dy,BBFLOAT bbt_dz,BBFLOAT bbt_radius){
	return (struct openb3d_openb3dcore_TEntity_obj*)openb3d_openb3dcore_TPick_LinePick_TTEntity_fffffff(bbt_x,bbt_y,bbt_z,bbt_dx,bbt_dy,bbt_dz,bbt_radius);
}
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_LoadAnimTexture(BBSTRING bbt_file,BBINT bbt_flags,BBINT bbt_frame_width,BBINT bbt_frame_height,BBINT bbt_first_frame,BBINT bbt_frame_count,struct openb3d_openb3dcore_TTexture_obj* bbt_tex){
	return (struct openb3d_openb3dcore_TTexture_obj*)openb3d_openb3dcore_TTexture_LoadAnimTexture_TTTexture_SiiiiiTTTexture(bbt_file,bbt_flags,bbt_frame_width,bbt_frame_height,bbt_first_frame,bbt_frame_count,(struct openb3d_openb3dcore_TTexture_obj*)bbt_tex);
}
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_LoadBrush(BBSTRING bbt_file,BBINT bbt_flags,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale){
	return (struct openb3d_openb3dcore_TBrush_obj*)openb3d_openb3dcore_TBrush_LoadBrush_TTBrush_Siff(bbt_file,bbt_flags,bbt_u_scale,bbt_v_scale);
}
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_LoadTexture(BBSTRING bbt_file,BBINT bbt_flags,struct openb3d_openb3dcore_TTexture_obj* bbt_tex){
	return (struct openb3d_openb3dcore_TTexture_obj*)openb3d_openb3dcore_TTexture_LoadTexture_TTTexture_SiTTTexture(bbt_file,bbt_flags,(struct openb3d_openb3dcore_TTexture_obj*)bbt_tex);
}
struct openb3d_openb3dcore_TSprite_obj* openb3d_openb3dstd_LoadSprite(BBSTRING bbt_tex_file,BBINT bbt_tex_flag,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TSprite_obj*)openb3d_openb3dcore_TSprite_LoadSprite_TTSprite_SiTTEntity(bbt_tex_file,bbt_tex_flag,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
BBFLOAT openb3d_openb3dstd_MeshDepth(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh){
	return (bbt_mesh)->clas->m_MeshDepth((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh);
}
BBFLOAT openb3d_openb3dstd_MeshHeight(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh){
	return (bbt_mesh)->clas->m_MeshHeight((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh);
}
BBFLOAT openb3d_openb3dstd_MeshWidth(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh){
	return (bbt_mesh)->clas->m_MeshWidth((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh);
}
BBINT openb3d_openb3dstd_MoveEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	(bbt_ent)->clas->m_MoveEntity_fff((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z);
	return 0;
}
BBINT openb3d_openb3dstd_NameEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBSTRING bbt_name){
	(bbt_ent)->clas->m_NameEntity_S((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_name);
	return 0;
}
BBINT openb3d_openb3dstd_PaintEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TBrush_obj* bbt_brush){
	(bbt_ent)->clas->m_PaintEntity_TTBrush((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,(struct openb3d_openb3dcore_TBrush_obj*)bbt_brush);
	return 0;
}
BBINT openb3d_openb3dstd_PaintMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TBrush_obj* bbt_brush){
	(bbt_mesh)->clas->m_PaintMesh_TTBrush((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,(struct openb3d_openb3dcore_TBrush_obj*)bbt_brush);
	return 0;
}
BBINT openb3d_openb3dstd_PaintSurface(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,struct openb3d_openb3dcore_TBrush_obj* bbt_brush){
	(bbt_surf)->clas->m_PaintSurface_TTBrush((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,(struct openb3d_openb3dcore_TBrush_obj*)bbt_brush);
	return 0;
}
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_PickedEntity(){
	return (struct openb3d_openb3dcore_TEntity_obj*)openb3d_openb3dcore_TPick_PickedEntity_TTEntity();
}
BBFLOAT openb3d_openb3dstd_PickedNX(){
	return openb3d_openb3dcore_TPick_PickedNX_f();
}
BBFLOAT openb3d_openb3dstd_PickedNY(){
	return openb3d_openb3dcore_TPick_PickedNY_f();
}
BBFLOAT openb3d_openb3dstd_PickedNZ(){
	return openb3d_openb3dcore_TPick_PickedNZ_f();
}
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_PickedSurface(){
	return (struct openb3d_openb3dcore_TSurface_obj*)openb3d_openb3dcore_TPick_PickedSurface_TTSurface();
}
BBFLOAT openb3d_openb3dstd_PickedTime(){
	return openb3d_openb3dcore_TPick_PickedTime_f();
}
BBINT openb3d_openb3dstd_PickedTriangle(){
	return openb3d_openb3dcore_TPick_PickedTriangle_i();
}
BBFLOAT openb3d_openb3dstd_PickedX(){
	return openb3d_openb3dcore_TPick_PickedX_f();
}
BBFLOAT openb3d_openb3dstd_PickedY(){
	return openb3d_openb3dcore_TPick_PickedY_f();
}
BBFLOAT openb3d_openb3dstd_PickedZ(){
	return openb3d_openb3dcore_TPick_PickedZ_f();
}
BBINT openb3d_openb3dstd_PointEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_target_ent,BBFLOAT bbt_roll){
	(bbt_ent)->clas->m_PointEntity_TTEntityf((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_target_ent,bbt_roll);
	return 0;
}
BBINT openb3d_openb3dstd_PositionEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	(bbt_ent)->clas->m_PositionEntity_fffi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z,bbt_glob);
	return 0;
}
BBINT openb3d_openb3dstd_PositionMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_px,BBFLOAT bbt_py,BBFLOAT bbt_pz){
	(bbt_mesh)->clas->m_PositionMesh_fff((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,bbt_px,bbt_py,bbt_pz);
	return 0;
}
BBINT openb3d_openb3dstd_PositionTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBFLOAT bbt_u_pos,BBFLOAT bbt_v_pos){
	(bbt_tex)->clas->m_PositionTexture_ff((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_u_pos,bbt_v_pos);
	return 0;
}
BBFLOAT openb3d_openb3dstd_ProjectedX(){
	return ProjectedX_();
}
BBFLOAT openb3d_openb3dstd_ProjectedY(){
	return ProjectedY_();
}
BBFLOAT openb3d_openb3dstd_ProjectedZ(){
	return ProjectedZ_();
}
BBINT openb3d_openb3dstd_RenderWorld(){
	openb3d_openb3dcore_TGlobal3D_RenderWorld_i();
	return 0;
}
BBINT openb3d_openb3dstd_ResetEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	(bbt_ent)->clas->m_ResetEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
	return 0;
}
BBINT openb3d_openb3dstd_RotateEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	(bbt_ent)->clas->m_RotateEntity_fffi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z,bbt_glob);
	return 0;
}
BBINT openb3d_openb3dstd_RotateMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_pitch,BBFLOAT bbt_yaw,BBFLOAT bbt_roll){
	(bbt_mesh)->clas->m_RotateMesh_fff((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,bbt_pitch,bbt_yaw,bbt_roll);
	return 0;
}
BBINT openb3d_openb3dstd_RotateSprite(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBFLOAT bbt_ang){
	(bbt_sprite)->clas->m_RotateSprite_f((struct openb3d_openb3dcore_TSprite_obj*)bbt_sprite,bbt_ang);
	return 0;
}
BBINT openb3d_openb3dstd_RotateTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBFLOAT bbt_ang){
	(bbt_tex)->clas->m_RotateTexture_f((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_ang);
	return 0;
}
BBINT openb3d_openb3dstd_ScaleEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	(bbt_ent)->clas->m_ScaleEntity_fffi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z,bbt_glob);
	return 0;
}
BBINT openb3d_openb3dstd_ScaleMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_sx,BBFLOAT bbt_sy,BBFLOAT bbt_sz){
	(bbt_mesh)->clas->m_ScaleMesh_fff((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh,bbt_sx,bbt_sy,bbt_sz);
	return 0;
}
BBINT openb3d_openb3dstd_ScaleSprite(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBFLOAT bbt_s_x,BBFLOAT bbt_s_y){
	(bbt_sprite)->clas->m_ScaleSprite_ff((struct openb3d_openb3dcore_TSprite_obj*)bbt_sprite,bbt_s_x,bbt_s_y);
	return 0;
}
BBINT openb3d_openb3dstd_ScaleTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale){
	(bbt_tex)->clas->m_ScaleTexture_ff((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_u_scale,bbt_v_scale);
	return 0;
}
BBINT openb3d_openb3dstd_SetAnimTime(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_time,BBINT bbt_seq){
	(bbt_ent)->clas->m_SetAnimTime_fi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_time,bbt_seq);
	return 0;
}
BBINT openb3d_openb3dstd_SetCubeFace(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_face){
	SetCubeFace_(openb3d_openb3dcore_TTexture_GetInstance_pb_TTTexture((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex),bbt_face);
	return 0;
}
BBINT openb3d_openb3dstd_SetCubeMode(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_Mode){
	SetCubeMode_(openb3d_openb3dcore_TTexture_GetInstance_pb_TTTexture((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex),bbt_Mode);
	return 0;
}
BBINT openb3d_openb3dstd_ShowEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent){
	(bbt_ent)->clas->m_ShowEntity((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent);
	return 0;
}
BBINT openb3d_openb3dstd_SpriteViewMode(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBINT bbt_Mode){
	(bbt_sprite)->clas->m_SpriteViewMode_i((struct openb3d_openb3dcore_TSprite_obj*)bbt_sprite,bbt_Mode);
	return 0;
}
BBINT openb3d_openb3dstd_TextureBlend(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_blend){
	(bbt_tex)->clas->m_TextureBlend_i((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_blend);
	return 0;
}
BBINT openb3d_openb3dstd_TextureCoords(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_coords){
	(bbt_tex)->clas->m_TextureCoords_i((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex,bbt_coords);
	return 0;
}
BBINT openb3d_openb3dstd_TextureHeight(struct openb3d_openb3dcore_TTexture_obj* bbt_tex){
	return TextureHeight_(openb3d_openb3dcore_TTexture_GetInstance_pb_TTTexture((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex));
}
BBINT openb3d_openb3dstd_TextureFilter(BBSTRING bbt_match_text,BBINT bbt_flags){
	openb3d_openb3dcore_TTexture_TextureFilter_i_Si(bbt_match_text,bbt_flags);
	return 0;
}
BBSTRING openb3d_openb3dstd_TextureName(struct openb3d_openb3dcore_TTexture_obj* bbt_tex){
	return (bbt_tex)->clas->m_TextureName((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex);
}
BBINT openb3d_openb3dstd_TextureWidth(struct openb3d_openb3dcore_TTexture_obj* bbt_tex){
	return TextureWidth_(openb3d_openb3dcore_TTexture_GetInstance_pb_TTTexture((struct openb3d_openb3dcore_TTexture_obj*)bbt_tex));
}
BBFLOAT openb3d_openb3dstd_TFormedX(){
	return openb3d_openb3dcore_TEntity_TFormedX_f();
}
BBFLOAT openb3d_openb3dstd_TFormedY(){
	return openb3d_openb3dcore_TEntity_TFormedY_f();
}
BBFLOAT openb3d_openb3dstd_TFormedZ(){
	return openb3d_openb3dcore_TEntity_TFormedZ_f();
}
BBINT openb3d_openb3dstd_TFormNormal(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent){
	openb3d_openb3dcore_TEntity_TFormNormal_i_fffTTEntityTTEntity(bbt_x,bbt_y,bbt_z,(struct openb3d_openb3dcore_TEntity_obj*)bbt_src_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_dest_ent);
	return 0;
}
BBINT openb3d_openb3dstd_TFormPoint(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent){
	openb3d_openb3dcore_TEntity_TFormPoint_i_fffTTEntityTTEntity(bbt_x,bbt_y,bbt_z,(struct openb3d_openb3dcore_TEntity_obj*)bbt_src_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_dest_ent);
	return 0;
}
BBINT openb3d_openb3dstd_TFormVector(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent){
	openb3d_openb3dcore_TEntity_TFormVector_i_fffTTEntityTTEntity(bbt_x,bbt_y,bbt_z,(struct openb3d_openb3dcore_TEntity_obj*)bbt_src_ent,(struct openb3d_openb3dcore_TEntity_obj*)bbt_dest_ent);
	return 0;
}
BBINT openb3d_openb3dstd_TranslateEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	(bbt_ent)->clas->m_TranslateEntity_fffi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z,bbt_glob);
	return 0;
}
BBINT openb3d_openb3dstd_TriangleVertex(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_tri_no,BBINT bbt_corner){
	return (bbt_surf)->clas->m_TriangleVertex_ii((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_tri_no,bbt_corner);
}
BBINT openb3d_openb3dstd_TurnEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	(bbt_ent)->clas->m_TurnEntity_fffi((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_x,bbt_y,bbt_z,bbt_glob);
	return 0;
}
BBINT openb3d_openb3dstd_UpdateNormals(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh){
	(bbt_mesh)->clas->m_UpdateNormals((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh);
	return 0;
}
BBINT openb3d_openb3dstd_UpdateWorld(BBFLOAT bbt_anim_speed){
	openb3d_openb3dcore_TGlobal3D_UpdateWorld_i_f(bbt_anim_speed);
	return 0;
}
BBFLOAT openb3d_openb3dstd_VectorPitch(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz){
	return -VectorPitch_(bbt_vx,bbt_vy,bbt_vz);
}
BBFLOAT openb3d_openb3dstd_VectorYaw(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz){
	return VectorYaw_(bbt_vx,bbt_vy,bbt_vz);
}
BBFLOAT openb3d_openb3dstd_VertexAlpha(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexAlpha_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBFLOAT openb3d_openb3dstd_VertexBlue(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexBlue_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBINT openb3d_openb3dstd_VertexColor(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b,BBFLOAT bbt_a){
	(bbt_surf)->clas->m_VertexColor_iffff((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_r,bbt_g,bbt_b,bbt_a);
	return 0;
}
BBINT openb3d_openb3dstd_VertexCoords(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	(bbt_surf)->clas->m_VertexCoords_ifff((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_x,bbt_y,bbt_z);
	return 0;
}
BBFLOAT openb3d_openb3dstd_VertexGreen(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexGreen_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBINT openb3d_openb3dstd_VertexNormal(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_nx,BBFLOAT bbt_ny,BBFLOAT bbt_nz){
	(bbt_surf)->clas->m_VertexNormal_ifff((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_nx,bbt_ny,bbt_nz);
	return 0;
}
BBFLOAT openb3d_openb3dstd_VertexNX(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexNX_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBFLOAT openb3d_openb3dstd_VertexNY(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexNY_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBFLOAT openb3d_openb3dstd_VertexNZ(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexNZ_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBFLOAT openb3d_openb3dstd_VertexRed(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexRed_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBINT openb3d_openb3dstd_VertexTexCoords(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w,BBINT bbt_coord_set){
	(bbt_surf)->clas->m_VertexTexCoords_ifffi((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_u,bbt_v,bbt_w,bbt_coord_set);
	return 0;
}
BBFLOAT openb3d_openb3dstd_VertexU(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set){
	return (bbt_surf)->clas->m_VertexU_ii((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_coord_set);
}
BBFLOAT openb3d_openb3dstd_VertexV(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set){
	return (bbt_surf)->clas->m_VertexV_ii((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_coord_set);
}
BBFLOAT openb3d_openb3dstd_VertexW(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set){
	return (bbt_surf)->clas->m_VertexW_ii((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid,bbt_coord_set);
}
BBFLOAT openb3d_openb3dstd_VertexX(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexX_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBFLOAT openb3d_openb3dstd_VertexY(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexY_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBFLOAT openb3d_openb3dstd_VertexZ(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return (bbt_surf)->clas->m_VertexZ_i((struct openb3d_openb3dcore_TSurface_obj*)bbt_surf,bbt_vid);
}
BBINT openb3d_openb3dstd_Wireframe(BBINT bbt_enable){
	Wireframe_(bbt_enable);
	return 0;
}
BBINT openb3d_openb3dstd_AddAnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_length){
	return (bbt_ent)->clas->m_AddAnimSeq_i((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_length);
}
BBINT openb3d_openb3dstd_AlignToVector(struct openb3d_openb3dcore_TEntity_obj* bbt_entity,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_axis,BBINT bbt_rate){
	(bbt_entity)->clas->m_AlignToVector_fffif((struct openb3d_openb3dcore_TEntity_obj*)bbt_entity,bbt_x,bbt_y,bbt_z,bbt_axis,((BBFLOAT)bbt_rate));
	return 0;
}
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreatePlane(BBINT bbt_divisions,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TMesh_obj*)openb3d_openb3dcore_TMesh_CreatePlane_TTMesh_iTTEntity(bbt_divisions,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
struct openb3d_openb3dcore_TTerrain_obj* openb3d_openb3dstd_CreateTerrain(BBINT bbt_size,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TTerrain_obj*)openb3d_openb3dcore_TTerrain_CreateTerrain_TTTerrain_iTTEntity(bbt_size,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
BBINT openb3d_openb3dstd_LoadAnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBSTRING bbt_file){
	return (bbt_ent)->clas->m_LoadAnimSeq_S((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_file);
}
struct openb3d_openb3dcore_TTerrain_obj* openb3d_openb3dstd_LoadTerrain(BBSTRING bbt_file,struct openb3d_openb3dcore_TEntity_obj* bbt_parent){
	return (struct openb3d_openb3dcore_TTerrain_obj*)openb3d_openb3dcore_TTerrain_LoadTerrain_TTTerrain_STTEntity(bbt_file,(struct openb3d_openb3dcore_TEntity_obj*)bbt_parent);
}
BBINT openb3d_openb3dstd_MeshesIntersect(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh1,struct openb3d_openb3dcore_TMesh_obj* bbt_mesh2){
	return (bbt_mesh1)->clas->m_MeshesIntersect_TTMesh((struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh1,(struct openb3d_openb3dcore_TMesh_obj*)bbt_mesh2);
}
BBINT openb3d_openb3dstd_ModifyTerrain(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z,BBFLOAT bbt_new_height){
	(bbt_terr)->clas->m_ModifyTerrain_iif((struct openb3d_openb3dcore_TTerrain_obj*)bbt_terr,bbt_x,bbt_z,bbt_new_height);
	return 0;
}
BBINT openb3d_openb3dstd_SetAnimKey(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_frame,BBINT bbt_pos_key,BBINT bbt_rot_key,BBINT bbt_scale_key){
	(bbt_ent)->clas->m_SetAnimKey_fiii((struct openb3d_openb3dcore_TEntity_obj*)bbt_ent,bbt_frame,bbt_pos_key,bbt_rot_key,bbt_scale_key);
	return 0;
}
BBFLOAT openb3d_openb3dstd_TerrainHeight(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z){
	return (bbt_terr)->clas->m_TerrainHeight_ii((struct openb3d_openb3dcore_TTerrain_obj*)bbt_terr,bbt_x,bbt_z);
}
BBFLOAT openb3d_openb3dstd_TerrainX(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return (bbt_terr)->clas->m_TerrainX_fff((struct openb3d_openb3dcore_TTerrain_obj*)bbt_terr,bbt_x,bbt_y,bbt_z);
}
BBFLOAT openb3d_openb3dstd_TerrainY(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return (bbt_terr)->clas->m_TerrainY_fff((struct openb3d_openb3dcore_TTerrain_obj*)bbt_terr,bbt_x,bbt_y,bbt_z);
}
BBFLOAT openb3d_openb3dstd_TerrainZ(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return (bbt_terr)->clas->m_TerrainZ_fff((struct openb3d_openb3dcore_TTerrain_obj*)bbt_terr,bbt_x,bbt_y,bbt_z);
}
static int __bb_openb3d_openb3dstd_openb3dstd_inited = 0;
int __bb_openb3d_openb3dstd_openb3dstd(){
	if (!__bb_openb3d_openb3dstd_openb3dstd_inited) {
		__bb_openb3d_openb3dstd_openb3dstd_inited = 1;
		__bb_brl_blitz_blitz();
		__bb_openb3d_openb3dcore_openb3dcore();
		return 0;
	}
	return 0;
}